| GET | /RestApi/diagnostics/methods/children/{operationId} |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| OperationId | path | Guid | No | |
| RootOperationId | query | Guid | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Items | form | IEnumerable<MethodViewModel> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No | |
| RootOperationId | form | Guid | No | |
| ParentOperationId | form | Guid | No | |
| Method | form | string | No | |
| Start | form | DateTime? | No | |
| End | form | DateTime? | No | |
| Duration | form | double? | No | |
| QueryCount | form | int | No | |
| HasChildren | form | bool | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/methods/children/{operationId} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
}